Description: Remove src dir from tests load path
 This fixes segfault on tests, due to the wrong dinamic library version
 getting loaded.

Author: David Suárez <david.sephirot@gmail.com>
Last-Update: 2014-02-30

--- ruby-bdb-0.6.6.orig/tests/btree.rb
+++ ruby-bdb-0.6.6/tests/btree.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift *%w{../src src tests}
+$LOAD_PATH.unshift *%w{tests}
 require 'bdb'
 require 'runit_'
 
--- ruby-bdb-0.6.6.orig/tests/hash.rb
+++ ruby-bdb-0.6.6/tests/hash.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift *%w{../src src tests}
+$LOAD_PATH.unshift *%w{tests}
 require 'bdb'
 require 'runit_'
 
--- ruby-bdb-0.6.6.orig/tests/lock.rb
+++ ruby-bdb-0.6.6/tests/lock.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift *%w{../src src tests}
+$LOAD_PATH.unshift *%w{tests}
 require 'bdb'
 require 'runit_'
 
--- ruby-bdb-0.6.6.orig/tests/log.rb
+++ ruby-bdb-0.6.6/tests/log.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift *%w{../src src tests}
+$LOAD_PATH.unshift *%w{tests}
 require 'bdb'
 require 'runit_'
 
--- ruby-bdb-0.6.6.orig/tests/marshal.rb
+++ ruby-bdb-0.6.6/tests/marshal.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift *%w{../src src tests}
+$LOAD_PATH.unshift *%w{tests}
 require 'bdb'
 require 'runit_'
 
--- ruby-bdb-0.6.6.orig/tests/queue.rb
+++ ruby-bdb-0.6.6/tests/queue.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift *%w{../src src tests}
+$LOAD_PATH.unshift *%w{tests}
 require 'bdb'
 
 print "\nVERSION of BDB is #{BDB::VERSION}\n"
--- ruby-bdb-0.6.6.orig/tests/recno.rb
+++ ruby-bdb-0.6.6/tests/recno.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift *%w{../src src tests}
+$LOAD_PATH.unshift *%w{tests}
 require 'bdb'
 require 'runit_'
 
--- ruby-bdb-0.6.6.orig/tests/recnum.rb
+++ ruby-bdb-0.6.6/tests/recnum.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/ruby
-$LOAD_PATH.unshift(*%w{../src src tests})
+$LOAD_PATH.unshift(*%w{tests})
 require 'bdb'
 require 'runit_'
 
